RetroELEC Kodi+Wayland+Emulationstation+RetroArch (x86/XU4/RPi)

  • I get no USB device working. No Gamepad, no keyboard. Works both in Kodi.


    Could this have to do with my nvidia issue?

  • escalade - do these builds of yours include all the standard libreelec stuff like the dvb drivers etc that come built into the normal 8.0
    I'm just thinking of putting your community build as my dvb server down stairs (better CPU)

  • I'm having trouble booting with the new version. I provided the kodi.log below:


    It can't find my screen. Do you have any ideas to what I should do?

  • Has anyone looked at adding the "Emulators" menu item to the Confluence skin that can be retrofitted on Kodi 17?


    I'm not a big fan of Estuary and have switched most of my LibreELEC V8 systems back to Confluence - but I can't see how to use Confluence to launch EmulationStation on the Community build.
    (I'm on a generic x86_64 build)


    Thanks.

  • nexusle


    Possibly, as I don't know what's causing your nvidia issue either. Doesn't seem to affect others. Did you try vanilla LE?


    Rytterdahl


    Compare with vanilla LE. If it works there, report it in the bug thread. Otherwise, provide full logs from the log share and also tell what GPU you have.


  • Has anyone looked at adding the "Emulators" menu item to the Confluence skin that can be retrofitted on Kodi 17?


    I'm not a big fan of Estuary and have switched most of my LibreELEC V8 systems back to Confluence - but I can't see how to use Confluence to launch EmulationStation on the Community build.
    (I'm on a generic x86_64 build)


    Thanks.


    You can add it via a custom menu command anyway with almost all skins.
    Think Aeon Nox's menu where you add menu items to the menu with custom commands


    Add another menu item called Emulators = XBMC.System.Exec(/usr/bin/emulationstation.sh)
    Then add a submenu under Emulators called RetroArch with custom command = XBMC.System.Exec(/usr/bin/retroarch.start)
    this way you can access retroarch easier

  • Then you should report it in the bug section including full logs and hardware info. The Kodi version does not matter as it has nothing to do with display drivers.

  • New build 20170524:

    Edited once, last by escalade ().

  • Whats the easiest way to update to a newer build? Without losing library and such? Can I just use the in app update channels? or will i loe teh extended addition changes?

  • Provide logs from the "Logfiles" SMB share. Try this command in ssh:


    Code
    echo "rm /var/run/xorg-configure.done && /usr/lib/xorg/xorg-configure nvidia-legacy" > /storage/.config/autostart.sh


    If that doesn't work, remove autostart.sh.


    Also consider getting a GPU that's not ancient. I'm guessing your issue is autodetection is failing because the pci id is not included anymore in the official nvidia drivers (which LE uses to detect your card). In that case the workaround above should work as long as your card is supported by the legacy driver.

  • Hi Guys,

    I had some problems with the Samba protocol - since I've updated to the latest build (escalade has updated to samba 4.6.4).

    I've read about it and changed the samba.conf to have "security = user" instead of "security = share" and it solved it to me.

    I hope it will help you too.

    BR